﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace GeoTifTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void wpfMap1_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.Meter;

            GdiPlusRasterLayer geotifLayer = new GdiPlusRasterLayer(@"C:\Bratsk\po_657244_rgb_0000000_b.tif");
            geotifLayer.Open();
            wpfMap1.CurrentExtent = geotifLayer.GetBoundingBox();
            geotifLayer.Close();

            LayerOverlay staticOverlay = new LayerOverlay();
            staticOverlay.Layers.Add("GdiPlusRasterLayer", geotifLayer);
            wpfMap1.Overlays.Add(staticOverlay);

            wpfMap1.Refresh();
        }


    }
}
